SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[DeleteIntent] (
	@VCC Varchar(50) = NULL, 
	@AppId VARCHAR(100) = NULL,
	@IntentId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	-- ELIMINAMOS EL INTENT DE LA TABLA INTENT
	DELETE FROM [Intent]
		WHERE [VCC] = @VCC
			AND [AppId] = @AppId
 			AND [IntentId] = @IntentId

	-- ELIMINAMOS LOS UTTERANCES REGISTRADOS CON EL APPID E INTENTID
	DELETE FROM [Utterance]
		WHERE [VCC] = @VCC 
			AND [AppId] = @AppId
			AND [IntentId] = @IntentId

    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
