SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetAllegroAgents]
(
@Ip Varchar(50), @VCC Varchar(50), @Type Int, @Campaign Varchar(50) =NULL
)
AS
BEGIN

	DECLARE @Sql NVARCHAR(MAX);

	IF(@Type = 0)  
	BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			uc.[VCC]							''vcc'',
			uc.[CampaignId]						''campaignId'',
			uc.[UserId]							''userId''
		FROM  [' + @Ip + ']' + '.mmprodat.dbo.[Agent]  a WITH (NOLOCK)
		LEFT JOIN [' + @Ip + ']' + '.mmprodat.dbo.[UserCampaign] uc WITH (NOLOCK) on uc.VCC = a.VCC and uc.UserId= a.UserId
		WHERE uc.[VCC] = ''' + @VCC + ''''

		IF(@Campaign IS NOT NULL and @Campaign <> '')
		SET @Sql += 'AND uc.[CampaignId] = '''+@Campaign+''' ';

		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE IF(@Type = 1) 
	BEGIN
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			uc.[VCC]							''vcc'',
			uc.[CampaignId]						''campaignId'',
			uc.[UserId]							''userId''
		FROM mmprodat.dbo.[Agent]  a (NOLOCK)
		LEFT JOIN mmprodat.dbo.[UserCampaign] uc (NOLOCK) on uc.VCC = a.VCC and uc.UserId= a.UserId
		WHERE uc.[VCC] = ''' + @VCC + ''''

		IF(@Campaign IS NOT NULL and @Campaign <> '')
		SET @Sql += 'AND uc.[CampaignId] = '''+@Campaign+''' ';

		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE  
	BEGIN
		SET @Sql = 'SELECT 1 AS ''result'''  
	END
	--select @Sql
	EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
