SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCustomField] (
	@VCC VARCHAR(50) = NULL, 
	@ID VARCHAR(100) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	SELECT [ID]							'id',
			[Description]				'description',
			[Label]						'label',
			[Type]						'type'
	FROM [CustomField] (NOLOCK)
	WHERE [VCC] = @VCC
		AND [ID] = @ID

	SET NOCOUNT OFF
END

select * FROM [CustomField] (NOLOCK)
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
