SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetDatabases] '38.127.113.216', 1
CREATE PROCEDURE [dbo].[GetDatabases]
(
@Ip Varchar(50), @Type Int
)
AS
BEGIN

	DECLARE @Sql NVARCHAR(MAX);

	IF(@Type = 0)  
	BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[name]							''name''
		FROM [' + @Ip + ']' + '.master.dbo.sysdatabases WITH (NOLOCK)
		WHERE name NOT IN (''master'', ''tempdb'', ''model'', ''msdb'', ''CRMIntegrationData'', ''MMProDat'',''HistoricalData'')'
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE IF(@Type = 1) 
	BEGIN
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[name]							''name''
		FROM master.dbo.sysdatabases (NOLOCK)
		WHERE name NOT IN (''master'', ''tempdb'', ''model'', ''msdb'', ''CRMIntegrationData'', ''MMProDat'',''HistoricalData'')'
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE  
	BEGIN  
		SET @Sql = 'SELECT 1 AS ''result'''  
	END

	EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
