SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEnvironmentTypeByName]
(
	@VCC		VARCHAR(50),
	@Name		VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Name]			'name',
		[Type]			'type'
	FROM
		[dbo].[Environment] (NOLOCK)
	WHERE
		[VCC] = @VCC
		AND [Name] = @Name

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
