SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetIntent] 'allegro','test0'
CREATE PROCEDURE [dbo].[GetIntent] (
	@VCC Varchar(50) = NULL, @Name Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Name]						    'name',
		[IntentId]						'intentId',
		[Color]							'color',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Intent] (NOLOCK)
	WHERE [VCC] = CASE WHEN ISNULL(@VCC, '') = '' THEN [VCC] ELSE @VCC END
	AND [Name] = @Name
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
