SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
-- exec [GetNLUsStudy] 'allegro', NULL, NULL,'Test'
CREATE PROCEDURE [dbo].[GetNLUsStudy] (
	@VCC				VARCHAR(50) = NULL,
	@SearchCriteria		VARCHAR(50) = NULL,
	@SearchExpression	VARCHAR(50) = NULL,
	@Names				NVARCHAR(MAX)
)
AS
BEGIN
	DECLARE @SQL NVARCHAR(MAX)
	SET @SQL = '
	SET NOCOUNT ON
	SELECT
		[Name]						    ''name'',
		[Culture]						''culture'',
		[Description]					''description'',
		[AppId]							''appId'',
		[SubscriptionKey]				''subscriptionKey'',
		[CreatedDate]					''createdDate'',
		[CreatedByUserId]				''createdByUserId'',
		[LastModifiedDate]				''lastModifiedDate'',
		[LastModifiedByUserId]			''lastModifiedByUserId''
	FROM [NLU] (NOLOCK)
	WHERE [VCC] = ''' + @VCC + '''
	AND [Name] IN (''' + @Names + ''')
	ORDER BY [LastModifiedDate] asc, [Name] desc
	'
	SET @SQL += ' SET NOCOUNT OFF'
	EXEC(@SQL)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
