SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetNeuroLinguisticProgramming] 'inconcert','visual', 'init', 'es'
--exec [GetNeuroLinguisticProgramming] 'default','visual', '', 'es'
CREATE PROCEDURE [dbo].[GetNeuroLinguisticProgramming] (
	@VCC Varchar(50) = NULL, @Name Varchar(50) = NULL, @ProcessId Varchar(50) = NULL, @Language Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Name]						    'name',
		[Description]					'description',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [NeuroLinguisticProgramming] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [Name] = @Name

	EXEC [GetWords] @VCC, 'neuroLinguisticProgrammingId', @Name, @ProcessId, @Language
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
