SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetProcess] 'inconcert','test'
CREATE PROCEDURE [dbo].[GetProcessTask] (
	@VCC Varchar(50) = NULL, @ID Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]						    'vcc',
		[Name]						    'name',
		[Description]					'description',
		[ClientId]						'clientId',
		[Status]						'status',
		[Type]							'type',
		[StartDate]						'startDate',
		[EndDate]						'endDate',
		[MinDurationTime]				'minDurationTime',
		[MaxDurationTime]				'maxDurationTime',
		[Environment]					'environment',
		[QueryId]						'queryId',
		[QueryDataId]					'queryDataId',
		[QueryDataIdDate]				'queryDataIdDate',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Process] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [Name] = @ID

	EXEC [GetProcessFilters] @VCC, @ID
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
