SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetSystemWords] 'default','NeuroLinguisticProgrammingId','','E4CC3881-9B1E-420B-977D-7CB473ED9C14', 'es'
--exec [GetSystemWords] 'system','NeuroLinguisticProgrammingId','','init', 'es'
CREATE PROCEDURE [dbo].[GetSystemWords] (
	@VCC Varchar(50) = NULL, @SearchCriteria Varchar(50) = NULL, @SearchExpression Varchar(50) = NULL,
	@ProcessId Varchar(50) = NULL, @Language Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[NeuroLinguisticProgrammingId]	'neuroLinguisticProgrammingId',
		[Name]							'name',
		[ProcessId]						'processId',
		[Language]						'language',
		[Type]							'type',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Word] (NOLOCK)
	WHERE [VCC] = @VCC
	AND ISNULL([NeuroLinguisticProgrammingId], '') LIKE CASE WHEN @SearchCriteria = 'neuroLinguisticProgrammingId' THEN '%' + @SearchExpression + '%' ELSE '%' END
	AND ([ProcessId] = @ProcessId OR [ProcessId] = 'init')
	AND [Language] = @Language

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
