SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveAudio] (
	@VCC Varchar(50) = NULL,						@ID Varchar(100) = NULL,					@Section Varchar(100) = NULL,
	@Part Varchar(100) = NULL,						@ProcessId Varchar(50) = NULL,				@Number Varchar(50) = NULL,
	@Gender Varchar(50) = NULL,						@SilenceTime Numeric(12,3) = NULL,			@DurationTime Numeric(12,3) = NULL,
	@Category1 Varchar(100) = NULL,					@Category2 Varchar(100) = NULL,				@Category3 Varchar(100) = NULL,
	@Description Varchar(100) = NULL,				@Campaign Varchar(100) = NULL,				@Agent Varchar(50) = NULL,
	@Type Varchar(50) = NULL,					   @Init Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
	DECLARE @Process VARCHAR(50) = CASE WHEN @ProcessId IS NULL THEN '' ELSE @ProcessId END
	
	UPDATE [Audio]
	SET [Number] = @Number,
		[Gender] = @Gender,
		[SilenceTime] = @SilenceTime,
		[DurationTime] = @DurationTime,
		[Category1] = @Category1,
		[Category2] = @Category2,
		[Category3] = @Category3,
		[Description] = @Description,
		[Campaign] = @Campaign,
		[Agent] = @Agent,
		[Type] = @Type,
		[Init] = CASE WHEN @Init IS NULL THEN [Init] ELSE @Init END
	WHERE [VCC] = @VCC
    -- AND ISNULL([ProcessId], '') = @Process
	AND [ID] = @ID
	AND [Section] = @Section 
	AND [Part] = @Part
	
    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
