SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[SaveAzureSubscription] (
	@VCC Varchar(50) = NULL, 				
	@AzureSubscription Varchar(50) = NULL,				
	@ResourceGroup Varchar(50) = NULL,			
	@AccountName Varchar(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EL REGISTRO CORRESPONDIENTE AL VCC
	UPDATE [AzureSubscription]
		SET [AzureSubscription] = @AzureSubscription,
			[ResourceGroup] = @ResourceGroup,
			[AccountName] = @AccountName
		WHERE [VCC] = @VCC

	-- SI NO SE PUDO ACTUALIZAR REGISTRAMOS EL NUEVO REGISTRO
    IF @@ROWCOUNT = 0
		INSERT INTO [AzureSubscription] ([VCC], [AzureSubscription], [ResourceGroup], [AccountName])
		VALUES (@VCC, @AzureSubscription, @ResourceGroup, @AccountName)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
