SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[SaveEvaluationPlanCompleted] (
	@Instance Varchar(50) = NULL, 
	@IdEvaluationPlan Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE EvaluationpLAN
		set [Status] = 7,
			[Percentage] = 1,
			[StatusDescription] = CASE WHEN [ERROR] = 0 THEN 'COMPLETED' ELSE 'COMPLETED_WITH_ERROR' END
		WHERE NOT EXISTS
			(SELECT idEvaluationPLan
				FROM AuditorEvaluationPlan
				WHERE idEvaluationPlan = @IdEvaluationPlan
					AND Instance = @Instance
					AND Completed <> 1)
			AND [Instance] = @Instance
		AND ID = @IdEvaluationPlan;

	UPDATE EvaluationPlan
		set Status = 6
		WHERE EXISTS
			(SELECT idEvaluationPLan
				FROM AuditorEvaluationPlan
				WHERE idEvaluationPlan = @IdEvaluationPlan
				AND Instance = @Instance
				AND Completed = 1)
			AND [Instance] = @Instance
			AND ID = @IdEvaluationPlan
			AND [status] = 1
			AND Evaluation_Mode = 'M';

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
