CREATE TABLE [dbo].[EvaluationPlan] (
   [Instance] [varchar](50) NOT NULL ,
   [ID] [varchar](50) NOT NULL ,
   [Modality] [varchar](50) NOT NULL ,
   [DateFin] [datetime] NOT NULL   ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   ,
   [IdEvaluationFormat] [varchar](50) NULL ,
   [TranscriptionLanguage] [varchar](25) NULL ,
   [EnvironmentId] [varchar](100) NULL ,
   [Description] [varchar](200) NULL ,
   [Enabled] [bit] NULL   ,
   [Total] [int] NULL   ,
   [Progress] [int] NULL   ,
   [Error] [int] NULL   ,
   [Percentage] [float] NULL   ,
   [StatusDescription] [varchar](max) NULL ,
   [Status] [numeric](2,0) NULL  ,
   [Evaluation_Mode] [varchar](1) NULL ,
   [FilterByContent] [bit] NULL   ,
   [FilterByContentPercentage] [numeric](3,0) NULL  ,
   [EvaluatePercentage] [numeric](3,0) NULL  ,
   [ProcessAndEvaluate] [bit] NULL   ,
   [FilterByContentQueryName] [varchar](50) NULL ,
   [FilterByContentQuery] [varchar](1000) NULL ,
   [EvaluationStarted] [bit] NULL   ,
   [ProcessId] [varchar](50) NULL ,
   [BatchStatus] [varchar](50) NULL 

   ,CONSTRAINT [PK_EvaluationPlan] PRIMARY KEY CLUSTERED ([Instance], [ID])
)


GO
