CREATE TABLE [dbo].[InteractionEvaluationPlan] (
   [Instance] [varchar](50) NOT NULL ,
   [IdEvaluationPlan] [varchar](50) NOT NULL ,
   [InteractionType] [varchar](50) NOT NULL ,
   [FormattedEndDate] [varchar](50) NULL ,
   [IdCampaign] [varchar](50) NULL ,
   [IdInteraction] [varchar](250) NOT NULL ,
   [InteractionSection] [numeric](5,0) NULL  ,
   [InteractionPart] [numeric](5,0) NULL  ,
   [IdAgent] [varchar](50) NULL ,
   [InteractionMessages] [int] NULL   ,
   [InteractionDateStart] [datetime] NULL   ,
   [InteractionDateEnd] [datetime] NULL 
      CONSTRAINT [DF_InteractionEvaluationPlan_InteractionDateEnd] DEFAULT ((0))  ,
   [InteractionDuration] [numeric](8,0) NULL 
      CONSTRAINT [DF_InteractionEvaluationPlan_InteractionDuration] DEFAULT ((0)) ,
   [InteractionOrigin] [varchar](50) NULL ,
   [InteractionFormat] [varchar](50) NULL ,
   [ManagementResult] [varchar](250) NULL ,
   [ContactId] [varchar](50) NULL ,
   [QueryPassed] [bit] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [CreatedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [TimeStamp] [datetime] NULL   
)


GO
