CREATE TABLE [dbo].[Utterance] (
   [VCC] [varchar](50) NOT NULL ,
   [AppId] [varchar](50) NOT NULL ,
   [IntentId] [varchar](50) NOT NULL ,
   [AudioId] [varchar](50) NOT NULL ,
   [Section] [numeric](5,0) NOT NULL  ,
   [Part] [numeric](5,0) NOT NULL  ,
   [Speaker] [varchar](3) NOT NULL ,
   [AnchorOffset] [int] NOT NULL   ,
   [FocusOffset] [int] NOT NULL   ,
   [CurrentTime] [float] NOT NULL   ,
   [EndCurrentTime] [float] NOT NULL   ,
   [UtteranceId] [int] NOT NULL   ,
   [TextContent] [varchar](500) NOT NULL ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_Utterance] PRIMARY KEY CLUSTERED ([VCC], [AppId], [IntentId], [AudioId], [Section], [Part], [Speaker], [AnchorOffset], [FocusOffset], [CurrentTime], [EndCurrentTime], [UtteranceId], [TextContent])
)


GO
