SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[BulkProcessAudioSummary]
AS
BEGIN
		-- No aplicamos where not exists porque esta tabla tiene un ID autogenerado.
		INSERT INTO dbo.ProcessAudioSummary
			(VCC
			,ProcessId
			,Category1
			,Category2
			,Category3
			,[Description]
			,[Total]
			,CreatedDate
			,CreatedByUserId
			,LastModifiedDate
			,LastModifiedByUserId
			,[TimeStamp]
			) 
		SELECT
			 A.VCC
			,A.ProcessId
			,A.Category1
			,A.Category2
			,A.Category3
			,A.[Description]
			,A.[Total]
			,A.CreatedDate
			,A.CreatedByUserId
			,A.LastModifiedDate
			,A.LastModifiedByUserId
			,GETUTCDATE()
		FROM #ProcessAudioSummaryTemp A (NOLOCK)

		DROP TABLE #ProcessAudioSummaryTemp
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
