SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[DeleteEvaluationFormat] (
	@Instance Varchar(50) = NULL, @ID Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	DELETE [EvaluationFormat] 
		WHERE [Instance] = @Instance
			AND [ID] = @ID

	-- ELIMINAMOS LO REGISTROS DE CAMPOS PERSONALIZADOS
	DELETE FROM [dbo].[EvaluationFormatCustomField]
		WHERE [VCC] = @Instance
			AND [EvaluationFormatId] = @ID

	-- ELIMINAMOS LOS REGISTROS DE FIRMAS ADJUNTAS
	DELETE FROM [dbo].[EvaluationFormatAttachedSignature]
		WHERE [VCC] = @Instance
			AND [EvaluationFormatId] = @ID

    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
