SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

-- [dbo].[DeleteTag] 'default', '{00c7211a-973a-11e8-87f3-be2929e88805}', 0, 0, 'tag'
CREATE PROCEDURE [dbo].[DeleteTag]
(
	@VCC						VARCHAR(50),
	@AudioId					VARCHAR(50),
	@Section					NUMERIC(5, 0),
	@Part						NUMERIC(5, 0),
	@Tag						VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT OFF

	DELETE FROM [dbo].[Tag]
	WHERE [VCC] = @VCC
	AND [AudioId] = @AudioId
	AND [Section] = @Section
	AND [Part] = @Part
	AND [Tag] = @Tag

    SELECT 1 AS 'result'

	SET NOCOUNT ON
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
