SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

Create PROCEDURE [dbo].[GetAzureSubscriptionKeyByName] (
	@VCC VARCHAR(50) = NULL,
	@SubscriptionName VARCHAR(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
 	SELECT ASK.[SubscriptionKey]						'subscriptionKey',
			ASK.[SubscriptionName]						'subscriptionName',
			ASK.[SubscriptionRegion]					'subscriptionRegion',
			ASK.[IsDemo]								'isDemo'
	FROM [dbo].[AzureSubscriptionKey] ASK (NOLOCK)
	WHERE ASK.[VCC] = @VCC
		AND ASK.[SubscriptionName] = @SubscriptionName

 	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
