SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCSVFiltersInteractions] 
AS
BEGIN
	-- BUSCAMOS LAS CAMPAIGNS DE LA TABLA
	SELECT DISTINCT PCT.[Campaign]									AS 'id',
					PCT.[Campaign]									AS 'description' 
		FROM [#ProcessCsvTemp] PCT
		ORDER BY PCT.[Campaign] ASC

	-- BUSCAMOS LOS AGENTES DE LA TABLA
	SELECT DISTINCT PCT.[Agent]										AS 'userId' 
		FROM [#ProcessCsvTemp] PCT
		ORDER BY PCT.[Agent] ASC

	-- BUSCAMOS LOS DISPOSITIONCODE DE LA TABLA
	SELECT DISTINCT PCT.[Campaign]									AS 'campaignId' ,
					PCT.[Category1]									AS 'description',
					PCT.[Category2]									AS 'description2',
					PCT.[Category3]									AS 'description3',
					PCT.[Description]								AS 'description4',
					PCT.[DispositionCode]							AS 'code'
		FROM [#ProcessCsvTemp] PCT
		WHERE PCT.[Description] IS NOT NULL
			AND PCT.[DispositionCode] IS NOT NULL
		ORDER BY PCT.[Category1] ASC, 
					PCT.[Category2] ASC, 
					PCT.[Category3] ASC,  
					PCT.[Description] ASC

	-- ELIMINAMOSLA TABLA TEMPORAL
	DROP TABLE [#ProcessCsvTemp]
	
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
