SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCampaignEvaluationFormats] (
	@Instance Varchar(50) = NULL, @IdEvaluationFormat Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
	SELECT
		CE.[IdEvaluationFormat]			'idEvaluationFormat',
		CE.[IdCampaign]					'idCampain',
		CE.[IdCampaign]                 'descriptionCampain'
	FROM [CampaignEvaluationFormat] CE (NOLOCK)
	WHERE CE.[Instance] = @Instance
	AND CE.[IdEvaluationFormat]= @IdEvaluationFormat

	SET NOCOUNT OFF
END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
