SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetEvaluationPlanAbilityTask] (
    @VCC Varchar(50) = NULL, @ID Varchar(50) = NULL
)
AS
BEGIN
SET NOCOUNT ON

	SELECT DISTINCT
		C.Instance			'vcc'
		,C.QueryName		'queryId'
	FROM [EvaluationPlan] A (NOLOCK)
	INNER JOIN [AbilityEvaluationFormat] B ON A.Instance = B.Instance AND A.IdEvaluationFormat = B.IdEvaluationFormat
	INNER JOIN [Ability] C ON A.Instance = C.Instance AND B.IdAbility = C.Id AND C.QueryName IS NOT NULL
	INNER JOIN [dbo].[GenericQuery] D WITH (NOLOCK) ON A.Instance = D.vcc AND D.[Name] = C.[QueryName]
	WHERE 
	A.[Instance] = @VCC
	AND A.[ID] = @ID

SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
