SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetGenericTemplate] 'inconcert','CE2C05F1-9EED-4D46-9E8F-4CB5E04EC406'
CREATE PROCEDURE [dbo].[GetGenericTemplate] (
	@VCC Varchar(50) = NULL, @Name Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Name]						    'name',
		[Type]							'type',
		[Description]					'description',
		[Template]						'template',
		[Category]						'category',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Template] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [Name] = @Name

	EXEC [GetGenericTemplateQueries] @VCC, @Name
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
