SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetProcess] 'inconcert','test'
CREATE PROCEDURE [dbo].[GetProcessEvaluationPlanTask] (
	@VCC Varchar(50) = NULL, @ID Varchar(50) = NULL, @EvaluationPlanId Varchar(200) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		A.[VCC]						    'vcc',
		A.[Name]						'processId',
		A.[Status]						'status',
		A.[Type]						'type',
		B.[ID]							'evaluationPlanId',
		B.[Status]						'evaluationPlanStatus',
		B.[Evaluation_Mode]				'evaluationPlanType'
	FROM [Process] A (NOLOCK)
	INNER JOIN [EvaluationPlan] B (NOLOCK) ON A.vcc = B.Instance AND  A.[Name] = B.ProcessId 
	WHERE A.[VCC] = @VCC
	AND A.[Name] = @ID
	AND B.Id = @EvaluationPlanId

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
