SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetTemplate] 'inconcert','Template1'
CREATE PROCEDURE [dbo].[GetTemplate] (
	@VCC Varchar(50) = NULL, @Name Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Type]							'type',
		[Name]						    'name',
		[Description]					'description',
		[Template]						'template',
		[Category]						'category',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Template] (NOLOCK)
	WHERE [VCC] = CASE WHEN ISNULL(@VCC,'') = '' THEN [VCC] ELSE @VCC END
	AND [Name] = @Name

	EXEC [GetTemplateThemes] @VCC, @Name
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
