SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
-- [dbo].[SaveProcessStatus] 'iconcert', 'callyou_colombia', 'COMPLETE', '2019-03-15 00:00:00.000', 'analytic'
CREATE PROCEDURE [dbo].[SaveProcessStatus]
(
	@VCC						VARCHAR(50),
	@Name						VARCHAR(50),
	@Status						VARCHAR(50),
	@LastModifiedDate			DATETIME,
	@LastModifiedByUserId		VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON
	
	UPDATE [dbo].[Process] SET
	[Status] = @Status,
	[LastModifiedDate] = @LastModifiedDate,
	[LastModifiedByUserId] = @LastModifiedByUserId,
	[TimeStamp] = GETUTCDATE()
	WHERE [VCC] = @VCC AND
	[Name] = @Name

	SELECT 1 AS 'result'

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
