SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[SaveScore] (
	@Instance Varchar(50) = NULL, 				@ID Varchar(50) = NULL,						@IdAbility Varchar(50) = NULL,		
	@Description Varchar(100) = NULL,						@Value Numeric(5,1) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	INSERT INTO [Score] (
		[Instance], [IdAbility], [Description], [Value],
		[TimeStamp]
		)
	VALUES (
		@Instance, @IdAbility, @Description, @Value,
		GETUTCDATE()
	)

    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
