SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[SaveTemplateThemeItem] (
	@VCC Varchar(50) = NULL, 				@TemplateId Varchar(50) = NULL, 		@TemplateThemeId Varchar(200) = NULL,
	@ID Varchar(50) = NULL,					@CreatedDate Datetime = NULL,			@CreatedByUserId Varchar(50) = NULL,
	@LastModifiedDate Datetime = NULL,		@LastModifiedByUserId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

    IF @@ROWCOUNT = 0
		INSERT INTO [TemplateThemeItem] (
			[VCC], [TemplateId], [TemplateThemeId], [ID],
			[CreatedDate], [CreatedByUserId], [LastModifiedDate], 
			[LastModifiedByUserId], [TimeStamp]
			)
		VALUES (
			@VCC, @TemplateId, @TemplateThemeId, @ID,
			@CreatedDate, @CreatedByUserId, @LastModifiedDate, 
			@LastModifiedByUserId, GETUTCDATE()
		)
	
    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
