CREATE TABLE [dbo].[AsyncInteraction] (
   [VCC] [varchar](50) NOT NULL ,
   [ID] [varchar](250) NOT NULL ,
   [Folder] [varchar](50) NULL ,
   [ExportedContent] [varchar](250) NULL ,
   [Channel] [varchar](50) NULL ,
   [Campaign] [varchar](50) NULL ,
   [StartDate] [datetime] NULL   ,
   [EndDate] [datetime] NOT NULL   ,
   [Account] [varchar](250) NULL ,
   [Initiative] [varchar](50) NULL ,
   [ContactName] [varchar](300) NULL ,
   [FirstTakedAgent] [varchar](50) NULL ,
   [LastTakedAgent] [varchar](50) NULL ,
   [IsTaken] [varchar](10) NULL ,
   [TotalMessages] [int] NULL   ,
   [DurationTime] [varchar](50) NULL ,
   [AttentionTime] [varchar](50) NULL ,
   [DispositionCode] [varchar](150) NULL ,
   [DispositionTreePath] [varchar](250) NULL ,
   [IsProcess] [bit] NULL   ,
   [IsCancel] [bit] NULL   ,
   [IsTranscribed] [bit] NULL   ,
   [FileName] [varchar](250) NULL ,
   [ViewFileName] [varchar](250) NULL ,
   [ErrorMessage] [varchar](max) NULL ,
   [RawChar] [int] NULL 
      CONSTRAINT [DF_Interaction_RawWords] DEFAULT ((0))  ,
   [ValidChar] [int] NULL 
      CONSTRAINT [DF_AsyncInteraction_ValidChar] DEFAULT ((0))  ,
   [ValidWords] [int] NULL 
      CONSTRAINT [DF_AsyncInteraction_ValidWords] DEFAULT ((0))  ,
   [TotalPhrases] [int] NULL 
      CONSTRAINT [DF_Interaction_ProcessedWords] DEFAULT ((0))  ,
   [CharsPerPhrase] [int] NULL   ,
   [CreatedDate] [datetime] NULL 
      CONSTRAINT [DF_Interaction_CreatedDate] DEFAULT (getdate())  ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_Interaction] PRIMARY KEY CLUSTERED ([VCC], [ID], [EndDate])
)


GO
