CREATE TABLE [dbo].[StudyResultSummary] (
   [VCC] [varchar](50) NOT NULL ,
   [StudyId] [varchar](200) NOT NULL ,
   [TemplateId] [varchar](200) NOT NULL ,
   [TemplateThemeId] [varchar](200) NOT NULL ,
   [ID] [varchar](250) NOT NULL ,
   [Description] [varchar](50) NULL ,
   [Category1] [varchar](50) NULL ,
   [Category2] [varchar](50) NULL ,
   [Total] [int] NULL   ,
   [Duration] [float] NULL   ,
   [Silence] [float] NULL   ,
   [OtherDuration] [float] NULL   ,
   [OtherSilence] [float] NULL   ,
   [Confidence] [float] NULL   ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_StudyResultSummary] PRIMARY KEY CLUSTERED ([VCC], [StudyId], [TemplateId], [TemplateThemeId], [ID])
)


GO
